


//#region src/plugins/utils.ts
function getRegisteredModuleByInstance(agentContext, moduleType) {
	return Object.values(agentContext.dependencyManager.registeredModules).find((module$1) => module$1 instanceof moduleType);
}
function getRegisteredModuleByName(agentContext, constructorName) {
	return Object.values(agentContext.dependencyManager.registeredModules).find((module$1) => module$1.constructor.name === constructorName);
}
function getApiForModuleByName(agentContext, constructorName) {
	const module$1 = getRegisteredModuleByName(agentContext, constructorName);
	if (!module$1 || !module$1.api) return void 0;
	return agentContext.dependencyManager.resolve(module$1.api);
}

//#endregion
exports.getApiForModuleByName = getApiForModuleByName;
exports.getRegisteredModuleByInstance = getRegisteredModuleByInstance;
exports.getRegisteredModuleByName = getRegisteredModuleByName;